--- /home/lendl/app_rxfax.c	2004-05-26 16:21:44.000000000 +0200
+++ app_rxfax.c	2004-05-26 16:28:06.000000000 +0200
@@ -56,10 +56,22 @@
 void phase_e_handler(t30_state_t *s, void *user_data, int result)
 {
     struct ast_channel *chan;
-    
+    char tmp1[10];
+    char tmp2[10];
+    char tmp3[10];
+
     chan = (struct ast_channel *) user_data;
     if (result)
     {
+        pbx_builtin_setvar_helper(chan,"FAX_REMOTEID",s->far_ident);
+        pbx_builtin_setvar_helper(chan,"FAX_LOCALID",s->local_ident);
+        sprintf(tmp1,"%d",s->t4.pages_transferred);
+        pbx_builtin_setvar_helper(chan,"FAX_PAGES",tmp1);
+        sprintf(tmp2,"%d",s->t4.resolution);
+        pbx_builtin_setvar_helper(chan,"FAX_RESOLUTION",tmp2);
+        sprintf(tmp3,"%d",s->bit_rate);
+        pbx_builtin_setvar_helper(chan,"FAX_RATE",tmp3);
+
         ast_log(LOG_DEBUG, "==============================================================================\n");
         ast_log(LOG_DEBUG, "Fax successfully received.\n");
         ast_log(LOG_DEBUG, "Remote station id: %s\n", s->far_ident);
